org.gradle.api.artifacts.component

## Interface ModuleComponentSelector

- All Superinterfaces:
    ComponentSelector

      @Incubating
      public interface ModuleComponentSelector
      extends ComponentSelector

  Criteria for selecting a component instance that is available as a module version.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The group of the module to select the component from.
    `String` | `getModule()` The name of the module to select the component from.
    `String` | `getVersion()` The version of the module to select the component from.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

      `getDisplayName, matchesStrictly`

- - ### Method Detail

    - #### getGroup

          String getGroup()

      The group of the module to select the component from.
      Returns:
        Module group
      Since:
        1.10

    - #### getModule

          String getModule()

      The name of the module to select the component from.
      Returns:
        Module name

    - #### getVersion

          String getVersion()

      The version of the module to select the component from.
      Returns:
        Module version